> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.brevo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.brevo.com/_mcp/server.

# Update an email template

PUT https://api.brevo.com/v3/smtp/templates/{templateId}
Content-Type: application/json

Update an existing transactional email template by its numeric ID or custom template identifier string. All fields in the request body are optional; only the provided fields will be updated. You can update the template name, subject, sender, reply-to address, HTML content (via `htmlContent` or `htmlUrl`), active status, tag, attachment URL, and the personalized `toField`. Only one of sender email or sender ID should be provided per request.

Reference: https://developers.brevo.com/reference/update-smtp-template

## Authentication

- `api-key` header (required) — The API key should be passed in the request headers as `api-key` for authentication.
- `Authorization` header (bearer token, required) — OAuth 2.0 client_credentials (machine-to-machine) grant. Exchange your app's client_id/client_secret for a short-lived Bearer token.

## Request

### Path parameters

- `templateId` (SmtpTemplatesTemplateIdPutParametersTemplateId, required) — ID of the template. Can be a numeric template ID or a custom template identifier string.

### Body (application/json)

This endpoint expects an object.

- `attachmentUrl` (string, optional) — Absolute url of the attachment (**no local file**). Extensions allowed: #### xlsx, xls, ods, docx, docm, doc, csv, pdf, txt, gif, jpg, jpeg, png, tif, tiff, rtf, bmp, cgm, css, shtml, html, htm, zip, xml, ppt, pptx, tar, ez, ics, mobi, msg, pub and eps
- `htmlContent` (string, optional) — **Required if htmlUrl is empty**. If the template is designed using Drag & Drop editor via HTML content, then the design page will not have Drag & Drop editor access for that template. Body of the message (HTML must have more than 10 characters)
- `htmlUrl` (string, optional) — **Required if htmlContent is empty**. URL to the body of the email (HTML)
- `isActive` (boolean, optional) — Status of the template. isActive = false means template is inactive, isActive = true means template is active
- `replyTo` (string, optional) — Email on which campaign recipients will be able to reply to
- `sender` (SmtpTemplatesTemplateIdPutRequestBodyContentApplicationJsonSchemaSender, optional) — Sender details including id or email and name (*optional*). Only one of either Sender's email or Sender's ID shall be passed in one request at a time. For example: **\{"name":"xyz", "email":"[example@abc.com](mailto:example@abc.com)"}** **\{"name":"xyz", "id":123}**
- `subject` (string, optional) — Subject of the email
- `tag` (string, optional) — Tag of the template
- `templateName` (string, optional) — Name of the template
- `toField` (string, optional) — To personalize the **To** Field. If you want to include the first name and last name of your recipient, add **\{FNAME} \{LNAME}**. These contact attributes must already exist in your Brevo account. If input parameter **params** used please use **\{\{contact.FNAME}} \{\{contact.LNAME}}** for personalization

## Response

### 204

transactional email template updated

## Errors

### 400 Bad Request Error

bad request

- `code` (enum, required) — Error code displayed in case of a failure
  - Allowed values: `invalid_parameter`, `missing_parameter`, `out_of_range`, `campaign_processing`, `campaign_sent`, `document_not_found`, `not_enough_credits`, `permission_denied`, `duplicate_parameter`, `duplicate_request`, `method_not_allowed`, `unauthorized`, `account_under_validation`, `not_acceptable`, `bad_request`, `unprocessable_entity`, `Domain does not exist`, `Contact email not found`, `Attribute not found`, `Category id not found`, `Invalid parameters passed`, `Record(s) for identifier not found`, `Returned when query params are invalid`, `Returned when invalid data posted`, `Feed not found`, `Campaign ID not found`, `api-key not found`, `DMARC policy requires domain authentication`, `DNS records not properly configured`, `Invalid OTP code provided`, `OTP code has expired`, `Domain already exists in your account`, `The sum of all IP weights must equal 100`, `Authentication failed`, `Insufficient credits`, `Request already processed`
- `message` (string, required) — Readable message associated to the failure

### 404 Not Found Error

Template ID not found

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

## Types

### SmtpTemplatesTemplateIdPutRequestBodyContentApplicationJsonSchemaSender

Sender details including id or email and name (*optional*). Only one of either Sender's email or Sender's ID shall be passed in one request at a time. For example: **\{"name":"xyz", "email":"[example@abc.com](mailto:example@abc.com)"}** **\{"name":"xyz", "id":123}**

- `email` (string, optional) — Email of the sender
- `id` (long, optional) — Select the sender for the template on the basis of sender id. _In order to select a sender with specific pool of IP’s, dedicated ip users shall pass id (instead of email)_.
- `name` (string, optional) — Name of the sender

### SmtpTemplatesTemplateIdPutParametersTemplateId

## Examples

**Request**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://api.brevo.com/v3/smtp/templates/1"

payload = {}
headers = {
    "api-key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.brevo.com/v3/smtp/templates/1';
const options = {
  method: 'PUT',
  headers: {'api-key': '<api-key>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/smtp/templates/1"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("api-key", "<api-key>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/smtp/templates/1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.brevo.com/v3/smtp/templates/1")
  .header("api-key", "<api-key>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.brevo.com/v3/smtp/templates/1', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
    'api-key' => '<api-key>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/smtp/templates/1");
var request = new RestRequest(Method.PUT);
request.AddHeader("api-key", "<api-key>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "api-key": "<api-key>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/smtp/templates/1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```